### Method

# AppStream Icon get_filename

#### Declaration [src]

    const gchar*
    as_icon_get_filename (
      AsIcon* icon
    )

#### Description

No description available.

#### Return value

Type: `const gchar*`

The absolute path for the icon on disk. This is only set for icons of kind `AS_ICON_KIND_LOCAL` or `AS_ICON_KIND_CACHED`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.